{ ... }:
{
  environment.persistence."/persist" = {
    hideMounts = true;
    users.jimbo = {
      directories = [
        "Keepers"
        "Documents"
        "Pictures"
        "Videos"
        "Games"
        "VMs"

        ".snapshots"
        ".mozilla"
        ".thunderbird"

        ".config/blender"
        ".config/vesktop"
        ".config/sunshine"
        ".config/heroic"
        ".config/obs-studio"

        ".local/share/nvim/undo"
        ".local/share/fractal"
        ".local/share/PrismLauncher"
        ".local/share/Steam"

        { directory = ".ssh"; mode = "0700"; }
        { directory = ".gnupg"; mode = "0700"; }
        { directory = ".local/share/keyrings"; mode = "0700"; }
      ];
      files = [
        ".zsh_history"
        ".local/share/clipman.json"
      ];
    };
  };
}
